Pass → ShaderPass →

# FXAAPass

A pass for applying FXAA.

## Code Example

    const fxaaPass = new FXAAPass();
    composer.addPass( fxaaPass );

## Import

FXAAPass is an addon, and must be imported explicitly, see Installation#Addons.

    import { FXAAPass } from 'three/addons/postprocessing/FXAAPass.js';

## Constructor

### new FXAAPass ()

Constructs a new FXAA pass.

## Methods

### .setSize ( width : number, height : number )

Sets the size of the pass.

width | The width to set.
height | The height to set.

Overrides: ShaderPass#setSize

## Source

examples/jsm/postprocessing/FXAAPass.js